# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "irql_macro"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for IRQL safety"
readme = "README.md"
keywords = [
    "windows",
    "kernel",
    "irql",
    "driver",
]
categories = [
    "no-std",
    "os::windows-apis",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/naorhaziz/irql"

[lib]
name = "irql_macro"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.44"

[dependencies.syn]
version = "2.0.114"
features = ["full"]
